body {
  font-size : 1.25em;  font-weight: normal;
  min-height: 100vh;	
  background-image: url(system/haikei2.png);
  font-family: 'Yomogi', cursive;
  color:rgba(60,42,42); 
  text-align: left;  z-index: 10;
  padding: 0 15%;
}

.box{
  background:rgba(255, 244, 233, 0.9);
  border-radius:5px;
  margin: 0 auto;
  padding: 1.5% 5%;
  margin: 2.5%;
}

.button_hai{
  position: fixed;
  bottom: 0; left: 0;
  width: 100%; height: 7vh;
  background-image: url(system/button_haikei2.png);
  background-repeat:repeat-x;
  z-index: 20;
}

.middle{
  text-align: center;
  padding: 0 0%;
}

nav {
  font-size: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  position: fixed;
  margin: 0 auto;
  z-index: 40;
}

nav a img {
  max-width: 100px;
  border-radius: 10px;
}


#samune img
{
  max-width: 100%;
  margin: auto;
}

.title{
  text-align: center;
  background:rgba(255, 244, 233, 0.9);
  border-radius:5px;
  margin: 0 auto;
  padding: 1%;
  margin: 2vh 15vw 5vh ;
  z-index: 100;
}


/*◇gallery◇*/

.index
{
  font-size : 1em;
}

.profile
{
  font-size : 1em;
}

.gallery {
  font-size : 1em;
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 10px;
  margin-top: 30px;
  max-width: 1000px;
  margin: 0 auto;
  padding: 0 20px;
}

.picture {
  display: flex;
  justify-content: center;
  align-items: center;
}

.picture a img {
  width: 200px;
  height: 200px;
  object-fit: cover;
  filter:
  drop-shadow(0 0 0 white);
  margin: 20px;
  transition: transform 0.2s ease;
  filter:drop-shadow(10px 10px 5px #000000aa);
}

#modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  align-items: center;
  justify-content: center;
  z-index: 1000;
  flex-direction: column;
}

#modal.active {
  display: flex;
}

#modal-img {
  max-width: 80%;
  max-height: 70vh;
  object-fit: contain;
  filter:drop-shadow(0 0 20px rgb(255, 255, 255));
  margin-bottom: 15px;
  transition: transform 0.2s ease;
}

#modal-img:hover {
  transform: scale(1.02);
}

#modal-title {
  color: white;
  font-size: 2em;
  margin: 5px 0;
  text-shadow: 2px 2px 5px black;
}

#modal-description {
  color: lightgray;
  font-size: 1.1em;
  margin: 5px 0 20px 0;
  max-width: 70%;
  text-align: center;
  text-shadow: 1px 1px 3px black;
}

.close-button {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 3em;
  color: rgb(218, 254, 255);
  cursor: pointer;
  z-index: 1001;
  text-shadow: 1px 1px 5px black;
}

summary {
  max-width: 800px;
  margin: 0 auto;
}

details
{
  font-family: "Yomogi", cursive;
  font-weight: 400;
  text-align: left;
  padding: 40px;
}

#update-log
{
  padding: 0 475px;
}

